@echo off
setlocal

if .%1==. goto missing
if .%2==. goto missing

set icdir=%1
set envir=%2
set isdplatform=%3

rem platform dir: intel_a win_b64
if .%isdplatform%==. set isdplatform=intel_a

pushd %~dp0%isdplatform%\code\bin
set path=%path%;..\..\..
if not exist .\delcatenv.exe goto exemissing delcatenv.exe

set cmd=.\delcatenv.exe  -a global -icon yes -menu yes -desktop yes -e %envir% -d %icdir% 
echo.
echo %cmd%
echo.
%cmd%
set err=%errorlevel%
if not %err%==0 goto enverror

popd
if %errorlevel%==0 goto finito

goto enverror

:enverror
echo delcatenv.exe failed (error: %errorlevel%)
exit /B %errorlevel%

:exemissing
echo current dir:
cd
echo "%0" does not exist. Exit ...
exit /B -98

:missing
echo parameter is missing!
exit /B -99

:finito
endlocal
